Skip to main content

Get Friends List For Player V2

GET 

/friends/v2/player/:player_uuid/friend

Fetch the friend's list for the Player and their relationship status with those friends.

Note: This API supports etags and will return the etag header when with the response.

Clients can utilize the if-none-match header to avoid having to reload the response if it has not changed.

Request

Path Parameters

    player_uuid uuidrequired

Query Parameters

    page Page

    Default value: 0

    limit Limit

    Possible values: >= 1 and <= 10000

    Default value: 50

Header Parameters

    if-none-match If-None-Match

    If you provide the ETag that matches the current ETag for this resource, a 304 response will be return - indicating that the resource has not changed.

Responses

Successful Response

Response Headers

  • ETag

    string

    Used to identify this version of the content. Provide with a get request to avoid downloading the same data multiple times.

Schema

    player_uuid uuidrequired

    friends

    object[]

    required

  • Array [

  • friends_player_uuid uuidrequired
    status FriendshipStatus (string)required

    Possible values: [NONE, FRIENDS, FRIEND_REQUEST_SENT, FRIEND_REQUEST_PENDING, FRIEND_REQUEST_DECLINED_BY_OTHER]

    An enumeration.

    notes Player's notes about the other player (string)
    last_modified_on date-timerequired
  • ]

  • page

    object

    required

    page Requested page (integer)required
    limit Page size (integer)required
    total Total collection size (integer)required
Loading...